oracle.jdbc

## Interface OracleRef

All Superinterfaces:
  Ref

All Known Implementing Classes:
  REF

    public interface OracleRef
    extends Ref

This interface defines the Oracle extensions to the standard JDBC interface `Ref`.

Generally any new code should avoid the direct use of the class `REF`. For variable declarations use the interface `Ref` or this interface as required.

Obtaining java.sql.Ref from ResultSet

`java.sql.Ref ref = resultSet.getRef(...);`

There is no way to create `Ref` on the client side.

Since:
  11.2.0.3

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleTypeMetaData` `getOracleMetaData()` Oracle extension.

### Methods inherited from interface java.sql.Ref

`getBaseTypeName, getObject, getObject, setObject`

### Method Detail

#### getOracleMetaData

    OracleTypeMetaData getOracleMetaData()
                                  throws SQLException

Oracle extension. Get the SQL REF type metadata for the type of this object.

Returns:
  metadata for this object's type
Throws:
  `SQLException` - if an error occurs

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.